

[![Banner](https://gitlab.com/PGTechs/pg-logos/-/raw/main/docbanner_atwork.png)](https://www.youtube.com/playlist?list=PLDpvBa7Jf-4oEM3skj5FFPk-BoP5UHFyC)

<div align="center">
<hr />
  <a href="https://discord.gg/QRVt6fF">Discord</a> ·
  <a href="https://www.facebook.com/PrincegameRAX">Facebook</a> · 
  <a href="https://gitlab.com/PGTechs">GitLab</a> · 
  <a href="https://www.youtube.com/c/PGTechs">YouTube</a>
</div>


# ลดขนาดไฟล์งานนำเสนอ LibreOffice Impress ด้วยเครื่องมือ Minimize Presentation


ไฟล์งานนำเสนอ ยิ่งใส่รูปภาพ หรือ Object เยอะ ยิ่งไฟล์ใหญ่ ซึ่งนั่นจะทำให้เราใช้เวลาและ Mobile Data ในการอัปโหลดในที่ต่าง ๆ มากขึ้น (ในกรณีของ Cellular Data หรือ Metered network อื่น ๆ)  และนอกจากนี้ยังใช้พื้นที่ในการจัดเก็บเยอะอีกด้วย

LibreOffice Impress (เทียบเท่า Microsoft PowerPoint) มีเครื่องมือหนึ่งที่ชื่อ Minimize Presentation ซึ่งสามารถใช้ในการบีบอัดรูปภาพ จัดการ Object ต่าง ๆ ให้ใช้พื้นที่จัดเก็บในเครื่องน้อยลงได้ **จากการทดสอบของเรา สามารถใช้ได้ทั้งกับไฟล์ .odp ของ LibreOffice Impress และ  .pptx ของ Microsoft PowerPoint**


## 1. เปิดไฟล์งานนำเสนอที่ต้องการลดขนาด

![screenshot](screenshots/slide.png)

## 2. เรียกใช้เครื่องมือ Minimize Presentation 

สำหรับ Standard toolbar

![screenshot](screenshots/minimizebutton_standard.png)

สำหรับ Tabbed

![screenshot](screenshots/minimizebutton_tabbed.png)

## 3. เริ่มขั้นตอนการลดขนาดไฟล์งานนำเสนอ

ในหน้าแรกจะมีให้เลือก DPI สามารถเลือกได้ระหว่างอีเมล (96 DPI) เว็บ (150 DPI) และงานพิมพ์ (300 DPI) เมื่อเลือก DPI แล้ว ให้กดปุ่ม Next ด้านล่าง ดังรูป

![screenshot](screenshots/min1.png)

ต่อมาจะมีการตั้งค่าเกี่ยวกับการลบสไลด์ต่าง ๆ และเคลียร์โน้ตออก ตั้งค่าตามต้องการแล้วกด Next ด้านล่าง ดังรูป

![screenshot](screenshots/min2.png)

ต่อมาจะเป็นการตั้งค่าการบีบอัดรูปภาพ สามารถเลือกโหมดการบีบอัด ความละเอียด ลบส่วนที่ถูก Crop ออก แล้วฝังรูปภาพจากแหล่งภายนอก (ถ้ามี) ตั้งค่าตามต้องการแล้วกด Next ด้านล่าง ดังรูป

![screenshot](screenshots/min3.png)

ต่อมาจะเป็นการตั้งค่าการแทนที่ OLE Objects ตั้งค่าตามต้องการแล้วกด Next ด้านล่าง ดังรูป
![screenshot](screenshots/min4.png)

ต่อมาจะพบกับผลการคำนวณขนาดที่ลดลงไปคร่าว ๆ เลือกว่าต้องการให้แก้ไขในไฟล์ปัจจุบัน หรือสร้างไฟล์ใหม่ กด Finish แล้วรอสักครู่

![screenshot](screenshots/min5.png)

หากเสร็จสมบูรณ์ จะพบกับหน้านี้ที่สามารถเลือกได้ว่าจะเปิดไฟล์ที่ถูกสร้างขึ้นใหม่หรือไม่ สำหรับกรณีที่เลือก Duplicate presentation before applying changes

![screenshot](screenshots/min6.png)


## ช่วยเหลือ

การลดขนาดไฟล์งานนำเสนอ LibreOffice Impress ด้วยเครื่องมือ Minimize Presentation ก็จะประมาณนี้นะครับ ใครมีข้อสงสัย หรือติดขัดตรงไหน สามารถสอบถามกันเข้ามาทางคอมเมนต์หรืออินบอกซ์เพจ facebook ของเราได้เลยครับ

[![Footer](https://gitlab.com/PGTechs/pg-logos/-/raw/41f79f17bbb0a26bd580c005fa294f5c3b83eb9e/docs_footer.png)](https://www.facebook.com/PrincegameRAX)